# Status Reasons Status Reasons ## Gets all of the status reasons in the system. - [GET /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/liststatusreasons.md): This method will scan all status reasons and and return them to the caller. ## Creates a new status reason record that does not already exist. - [POST /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/createstatusreason.md): This method will auto-generate an ID and create a new status reason. If an ID is specified for the status reason, an error will be thrown. ## Execute Batch Operations - [POST /statusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a status reason from the system by its ID. - [DELETE /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/deletestatusreason.md): This method will delete a status reason with the specified ID. ## Returns a status reason from the system by its ID. - [GET /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/getstatusreason.md): This method will look up a status reason by the specified ID and return it back. ## Partially updates a status reason with the specified ID. - [PATCH /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/patchstatusreason.md): This method will patch an existing status reason with the specified ID, using the HTTP PATCH specification. ## Updates a status reason with the specified ID. - [PUT /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/updatestatusreason.md): This method will update an existing status reason with the specified ID.